{% extends 'base.html' %}

{% block title %}
    LIBROS
{% endblock %}

{% block content %}
    <a href='{% url 'libro:crear_libro' %}'>
        <button class="btn btn-success" type="submit">Crear</button>
    </a>
    <p></p>
    <table class="table">
        <thead>
        <tr>
            <th scope="col">ID</th>
            <th scope="col">Título</th>
            <th scope="col">Fecha Publicación</th>
            <th scope="col">Autor</th>
            <th scope="col">Editorial</th>
            <th scope="col">Imagen</th>
            <th scope="col">Fecha Creación</th>
            <th style="text-align:center;" scope="col" colspan="2">ACCIONES</th>
        </tr>
        </thead>
        <tbody>
            {% for libro in libros %}    
                <tr>
                    <td>{{ libro.id }}</td>
                    <td>{{ libro.titulo }}</td>
                    <td>{{ libro.fecha_publicacion }}</td>
                    <td>
                        {% for autor in libro.autor_id.all %}
                            {{ autor }}, 
                        {% endfor %}
                    </td>
                    <td>
                        {% for editorial in libro.editorial_id.all %}
                            {{ editorial }}, 
                        {% endfor %}
                    </td>
                    <td>{{ libro.fecha_creacion }}</td>
                    <td><a href="{{ libro.imagen.url }}">imagen</a></td>
                    <td style="text-align:center;">
                        <a href="{% url 'libro:actualizar_libro' libro.id %}">
                            <button class="btn btn-primary" type="submit">Actualizar</button>
                        </a>
                    </td>
                    <td style="text-align:center;">
                        <a href="{% url 'libro:eliminar_libro' libro.id %}">
                            <button class="btn btn-danger" type="submit">Eliminar</button>
                        </a>
                    </td>    
                </tr>
            {% endfor %}
        </tbody>
    </table>
{% endblock %}